<?php
/**
* @version 			SEBLOD 2.x Core ~ $Id: index.php alexandre_lapoux $
* @package			SEBLOD (App Builder & CCK) // SEBLOD Seb_nivo_slider (Form Builder)
* @url				http://www.seblod.com
* @editor			Octopoos - www.octopoos.com
* @copyright		Copyright (C) 2012 SEBLOD. All Rights Reserved.
* @license 			GNU General Public License version 2 or later; see _LICENSE.php
**/

// No Direct Access
defined( '_JEXEC' ) or die;

// -- Initialize
require_once dirname(__FILE__).DIRECTORY_SEPARATOR.'config.php';
$cck	=	CCK_Rendering::getInstance( $this->template );
if ( $cck->initialize() === false ) { return; }
$doc						=	JFactory::getDocument();
$id 						= 	$cck->id;	
$items						=	$cck->getItems();

//$ar_all_anims=array("data-y","data-x","data-z","data-scale","data-rotate","data-rotate-x","data-rotate-y");
$ar_all_anims=array("data-y","data-x","data-scale","data-rotate");

$settings 					= array(
		'random' 				=>	(boolean)$cck->getStyleParam('random', true),
		'color' 				=>	(boolean)$cck->getStyleParam('color', true),
		'debug' 				=>	(boolean)$cck->getStyleParam('debug', false),
		'same_anims' 			=>	(boolean)$cck->getStyleParam('same_anims', false),
		'min' 					=>	(int)$cck->getStyleParam('min', '-1000'),
		'max' 					=>	(int)$cck->getStyleParam('max', '1000'),
		'filter_anims' 			=>	$cck->getStyleParam('filter_anims', $ar_all_anims),
		'datas_custo' 			=>	$cck->getStyleParam('datas_custo', ''),
		'default_random' 		=>	(boolean)$cck->getStyleParam('default_random', false),
		'phone_no_anim'			=>  (boolean)$cck->getStyleParam('phone_no_anim', false), //(Warp only)
);

$settings_js				= array(		
		'arrows' 				=>	$cck->getStyleParam('arrows', true),
		'dots' 					=>	$cck->getStyleParam('dots', true),
		'autoplay'				=>	$cck->getStyleParam('autoplay', true),
		'interval'				=>	(int)$cck->getStyleParam('interval', '3500')
);

$transitionDuration	=	(float)$cck->getStyleParam('transitionDuration', '0.8');

foreach( $settings_js as $cle=>$valeur ) {
	$js_params .= ( !$prems ) ? $cle." : ".$valeur : ",".$cle." : ".$valeur;
	$prems	=	1;
}

$my_img 		= $cck->getStyleParam('myimg', 'AC_slider_img');
?>
<noscript>
			<style>
			.step {
				width: 100%;
				position: relative;
			}
			.step:not(.active) {
				opacity: 1;
				filter: alpha(opacity=99);
				-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(opacity=99)";
			}
			.step:not(.active) a.read_more{
				opacity: 1;
				margin-top: 40px;
			}
			</style>
		</noscript>
	
<?php

$js	 =	'jQuery(function() {
		var jmpressOpts	= {
				
			animation		: { transitionDuration : "'.$transitionDuration.'s" }
		};
		jQuery("#jms-slideshow").jmslideshow(
			jQuery.extend( true, { jmpressOpts : jmpressOpts }, {
					'.$js_params.'
				})
		); 

});';

$anim=true;
//si je ne veux pas d'anim sur mobile
if($settings['phone_no_anim'] && class_exists("MobileDetector")){
	$anim=(!MobileDetector::isMobilePhone());
}

if($anim){
	// Add JS file
	CCK::loadjQuery();
	$doc->addScript( JURI::root( true ).'/templates/'.$this->template.'/js/jmpress.min.js' );
	$doc->addScript( JURI::root( true ).'/templates/'.$this->template.'/js/jquery.jmslideshow.js' );
	$doc->addScript( JURI::root( true ).'/templates/'.$this->template.'/js/modernizr.custom.48780.js' );
	
	// Add CSS file
	$doc->addStyleSheet( JURI::root( true ).'/templates/'.$this->template.'/css/style.css' );
}

// Set template
$all_fields	=	'';

function gen_anim_slideshow($settings ){
	$datas='';
	$ar_anims=$settings['filter_anims'];
	if(!$settings['same_anims'])	$nb_params_anim=rand(1,3);
	else	$nb_params_anim=count($ar_anims);
	
	for($ia=0;$ia<$nb_params_anim;$ia++){
		if(!$settings['same_anims']){
			$ir=rand(0,count($ar_anims)-1);
			$anim=$ar_anims[$ir];
		}else{
			$anim=$ar_anims[$ia];
		}

		if($anim=="data-scale")	$val_anim='0.'.rand(1,9);
		else	$val_anim=rand($settings['min'],$settings['max']);
		
		$datas.="$anim='$val_anim' ";
	}
	return $datas;
}


// Set items
$i=0;

if(!$settings["random"]){
	$datas_custo=explode(",", $settings["datas_custo"]);
	$nb_anims_custo=count($datas_custo);
}

foreach( $items as $item ) {

	if($settings["random"])	$datas=gen_anim($settings);
	else{
		if($i<$nb_anims_custo)		$datas=$datas_custo[$i];
		elseif($settings["default_random"])	$datas=gen_anim($settings);
		else	$datas="";
	}
	
	if($settings["debug"])	var_dump($datas);
	
	$i++;
	$datacolor=($settings["color"])?' data-color="color-'.$i.'"':'';
	$all_fields.='<div class="step" '.$datas.$datacolor.'>';
	$tmp_all_fields = '';		
	$fields	=	$item->fields;
	
	foreach( $fields as $field ){
		if($field->position == 'hidden')	continue;
		
		if($field->name==$my_img){
			$image=$item->renderField( $field->name);
		}else{
			$tmp_all_fields.=$item->renderField( $field->name);
		}
	}
	
	$tmp_all_fields='<div class="jms-content">'.$tmp_all_fields.'</div>';
	$all_fields .= $tmp_all_fields .$image.'</div>';
}
?>

<section id="jms-slideshow" class="jms-slideshow">
<?php echo $all_fields; ?>
</section>


<?php
// Assets JS to the end (important)
if($anim)	$cck->addScriptDeclaration( $js );
$cck->finalize();
?>
